# Components

This class is a collection of all components loaded by the interpreter.

This class is static.

This class acts like a read-only array.

`DIM hComponent AS Component hComponent = Components [ Name AS String ]`

Returns a component from its name.

This class is enumerable with the FOR EACH keyword.

`DIM hComponent AS Component FOR EACH hComponent IN Components ... NEXT`

Enumerates all components loaded by the interpreter.

Properties |
--- | ---
Count |